####This is a example for R package "hSIMEXUknown"
setwd("/Users/Tianying/Documents/My/notes/689/code/Matlab/programs/r")


source("hSIMEXUknown.r")
source("rlap.r")
source("NWDecUknown")
#Sample size
NSR=0.2
n=500

#Generate data from a normal mixture
X=rnorm(n,5,.4);
X2=matrix(rnorm(n*n,2,1),nrow=n,ncol=n,byrow=T);

pmix=0.75;
tmp=matrix(runif(n,0,1),nrow=1,ncol=n,byrow=T);
X[which(tmp<pmix)]=X2[which(tmp<pmix)];
#Specify error distribution (normal or Laplace in this case) and generate data from this error distribution
errortype="Lap";
if (errortype=="Lap")
{sigU=sqrt(NSR*var(X)/2);
 varU=2*sigU^2;
 U=rlap(sigU,1,n);}
#Contaminated data
W=as.vector(X+U);
e = rnorm(n, 0, sqrt(.01))
Y=3*X+e
outcome<-hSIMEXUknown(W,Y,errortype,sigU)
